# Generated from heroku-2.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name heroku

Summary: Client library and CLI to deploy Rails apps on Heroku
Name: rubygem-%{gem_name}
Version: 3.8.2
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://heroku.com/
Source0: http://rubygems.org/downloads/%{gem_name}-%{version}.gem
# Fix compatibility with WebMock 1.11.0+.
# https://github.com/heroku/heroku/pull/1120
Patch0: rubygem-heroku-3.8.1-WebMock-1.11.0-compatibility-fix.patch
BuildRequires: rubygems-devel
BuildRequires: ruby(release)
BuildRequires: git
BuildRequires: rubygem(fakefs)
BuildRequires: rubygem(heroku-api) >= 0.3.17
BuildRequires: rubygem(heroku-api) < 0.4
BuildRequires: rubygem(launchy) >= 0.3.2
BuildRequires: rubygem(rest-client) >= 1.6.1
BuildRequires: rubygem(rest-client) < 1.7.0
BuildRequires: rubygem(rr)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(netrc) => 0.7.7
BuildRequires: rubygem(netrc) < 0.8
BuildRequires: rubygem(webmock)
BuildArch: noarch
# There were attempts to remove OkJson:
# https://github.com/heroku/heroku/pull/887
# OkJson is allowed to be bundled:
# https://fedorahosted.org/fpc/ticket/113
Provides: bundled(okjson) = 20120328

%description
Client library and command-line tool to manage and deploy Rails apps on
Heroku.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

pushd .%{gem_instdir}
%patch0 -p1
popd

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

# Remove bundled root CA certificates.
rm %{buildroot}%{gem_instdir}/data/cacert.pem
rm -d %{buildroot}%{gem_instdir}/data

%check
pushd .%{gem_instdir}

# Git credentials has to be configured for several tests."
git config --global user.email "you@example.com"
git config --global user.name "Your Name"

# Heroku::Command::Git remote test fails when .git folder is not available.
# https://github.com/heroku/heroku/issues/1125
git init

# Heroku::Client rendezvous fixup hash:
# https://github.com/heroku/heroku/issues/1119
sed -i '/it "hash" do/a \      pending' spec/heroku/client/rendezvous_spec.rb

rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/heroku
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%doc %{gem_instdir}/README.md

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Mon May 26 2014 Vít Ondruch <vondruch@redhat.com> - 3.8.2-1
- Update to heroku 3.8.2.
- Drop root CA certificates.

* Fri May 17 2013 Josef Stribny <jstribny@redhat.com> - 2.39.3-1
- Update to heroku 2.39.3

* Tue Mar 12 2013 Vít Ondruch <vondruch@redhat.com> - 2.33.0-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Tue Mar 12 2013 Vít Ondruch <vondruch@redhat.com> - 2.33.0-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 12 2012 Vít Ondruch <vondruch@redhat.com> - 2.33.0-1
- Update to heroku 2.33.0.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 10 2012 Vít Ondruch <vondruch@redhat.com> - 2.24.0-2
- Fix dependencies.

* Fri Apr 06 2012 Vít Ondruch <vondruch@redhat.com> - 2.24.0-1
- Updated to heroku 2.24.0.

* Wed Apr 04 2012 Vít Ondruch <vondruch@redhat.com> - 2.23.0-1
- Updated to heroku 2.23.0.

* Tue Feb 14 2012 Vít Ondruch <vondruch@redhat.com> - 2.21.2-1
- Rebuilt for Ruby 1.9.3.
- Updated to heroku 2.21.2.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 01 2011  <Minnikhanov@gmail.com> - 2.0.4-1
- Updated heroku to latest upstream release (v.2.0.4 2011-04-28)

* Sat Apr 23 2011  <Minnikhanov@gmail.com> - 1.20.1-2
- Don't use "launchy" gem ver. >=0.4 (upstream run dependence limit)

* Sun Apr 10 2011  <Minnikhanov@gmail.com> - 1.20.1-1
- Updated heroku to latest upstream release (v.1.20.1 2011-04-07)

* Tue Feb 22 2011  <Minnikhanov@gmail.com> - 1.17.16-1
- Updated heroku to latest upstream release (v.1.17.16 2011-02-18)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.17.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 29 2011  <Minnikhanov@gmail.com> - 1.17.10-1
- Updated heroku to latest upstream release (v.1.17.10 2011-01-21)

* Thu Jan 13 2011  <Minnikhanov@gmail.com> - 1.17.5-1
- Updated heroku to latest upstream release

* Fri Jan 07 2011  <Minnikhanov@gmail.com> - 1.16.2-1
- Updated heroku to latest upstream release

* Fri Dec 24 2010  <Minnikhanov@gmail.com> - 1.15.1-1
- Updated heroku to latest upstream release

* Thu Dec 23 2010  <Minnikhanov@gmail.com> - 1.15.0-2
- Fix Comment 29 #661436 (Review Request)

* Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.15.0-1
- Updated heroku to latest upstream release

* Tue Dec 21 2010  <Minnikhanov@gmail.com> - 1.14.10-3
- Fix Comment 23 #661436 (Review Request)
- Remove '/.yardoc'.

* Sat Dec 18 2010  <Minnikhanov@gmail.com> - 1.14.10-2
- Fix Comment 18 #661436 (Review Request)
- Set Release: 2

* Fri Dec 17 2010  <Minnikhanov@gmail.com> - 1.14.10-1
- Fix Comment 13 #661436 (Review Request)

* Thu Dec 16 2010  <Minnikhanov@gmail.com> - 1.14.10-1
- Initial package

* Wed Dec 15 2010  <Minnikhanov@gmail.com> - 1.14.9-1
- Updated heroku to latest upstream release

* Mon Dec 13 2010  <Minnikhanov@gmail.com> - 1.14.8-1
- Fix Comment 4 #661436 (Review Request)

* Wed Dec 08 2010  <Minnikhanov@gmail.com> - 1.14.8-1
- Initial package

